﻿@model GoC.AppStatus.WebClient.Models.UserSignInModel
<!-- Sign In modal-->
<section id="login"
         class="mfp-hide modal-dialog modal-content overlay-def">
    <header class="modal-header">
        <h2 class="modal-title">@Localizer["Sign In"]</h2>
    </header>
    <div class="modal-body">
        <div class="wb-frmvld">
            <form role="form"
                  method="post"
                  action="@Url.Action("Login", "Account")">
                @*TODO: set error summary from partail being created with !77*@
                <div class="form-group">
                    <label for="SignInEmail"
                           class="required">
                        @Localizer["Email"]
                        <strong class="required">&nbsp;(@Localizer["required"])</strong>
                        <br />
                        <span style="font-size:100%"
                              class="label label-danger"
                              asp-validation-for="SignInEmail"></span>
                    </label>
                    <input asp-for="SignInEmail"
                           type="text"
                           name="SignInEmail"
                           class="form-control"
                           id="SignInEmail"
                           placeholder="@Localizer["Email"]"
                           required />
                </div>
                <div class="form-group">
                    <label for="signInPassword"
                           class="required">
                        @Localizer["Password"]
                        <strong class="required">&nbsp;(@Localizer["required"])</strong>
                        <br />
                        <span style="font-size:100%"
                              class="label label-danger"
                              asp-validation-for="SignInPassword"></span>
                    </label>
                    <input type="password"
                           name="signInPassword"
                           class="form-control"
                           id="signInPassword"
                           placeholder="@Localizer["Password"]"
                           required />
                </div>
                <button type="submit"
                        class="btn btn-primary">
                    @Localizer["Sign In"]
                </button>
            </form>
        </div>
    </div>
    <div class="modal-footer">
        <p class="pull-left">
            @Localizer["Dont have an account?"]
            <a asp-action="Register"
               asp-controller="Account">
                @Localizer["Register"]
            </a>
        </p>
        <button class="btn btn-default popup-modal-dismiss pull-right" type="button">@Localizer["Close"]</button>
    </div>
</section>

<!-- Add attributes to the sign in button to toggle the modal -->
<script>
    var elem = document.querySelector('a[href$="#login"');
    elem.classList.add("wb-lbx");
    elem.setAttribute("aira-controls", "centred-popup");
</script>
